﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

#Backgrounds
image office = "office.png"
image park = "park.png"
image home = "home.png"
image b2ub = "b2ub.png"

#CGs
image firstmet = "firstmet.png"
image shock = "shock.png"
image hand = "hand.png"
image reunited = "reunited.png"
image happy = "happy.png"
image thanks = "thanks.png"
image special = "specialthanks.png"

#Characters
image Ra1 = "Ra1.png"
#image Ra2 = "ra2.png"
image Ra3 = "Ra3.png"
image Ra4 = "Ra4.png"
image Ra5 = "Ra5.png"
image Ra6 = "Ra6.png"
#image Ra7 = "Ra7.png"
image Ra8 = "Ra8.png"
image Ra9 = "Ra9.png"
image Ch1 = "Ch1.png"
image Ch2 = "Ch2.png"
image Ch3 = "Ch3.png"
image Ch4 = "Ch4.png"
image Ch5 = "Ch5.png"
image El1 = "El1.png"
image El2 = "El2.png"
#image El3 = "el3.png"

# Declare characters used by this game.
define R = Character('Rakiyah', color="#3e1d1a")
define C = Character('Chris', color="#451607")
define E = Character('Elliot', color="#342824")
#-----------------------------------------------------------#
screen main_menu:
    tag menu
    
    imagemap:
        ground 'titlescreenunclicked.png'
        hover 'titlescreenclicked.png'
        
        hotspot (79, 526, 174, 526) action Start()
        hotspot (240, 526, 342, 526) action ShowMenu('load')
        hotspot (396, 526, 580, 526) action ShowMenu('preferences')
        hotspot (636, 526, 720, 526) action Quit(confirm=False)

label splashscreen:
    $ renpy.pause(0)
    scene black
    with Pause(0.5)

    show b2ub
    with dissolve
    with Pause(2.5)
    
    hide text 
    with dissolve

    return

# The game starts here.

label start:
### Scene 1 ###
    scene black
    play music "delicatefeelings2.ogg"
    
    "I think I might have loved Elliot the second that I saw him."
    
    "Or at the very least, I knew he was going to be someone special in my life. I just didn’t 
    understand how big of a role he would play. It’s like he had something special in him that I saw, 
    but didn’t recognized right away. A spark of something…more…"
    
    "I have known him almost my entire life. We went to daycare, elementary, middle school, and even 
    high school together. I can’t even remember a time in my life when he was not around."
    
    "How could I have guessed that I would meet the love of my life so soon? Who would have thought 
    the one person who made my life worth living would also be the one who could cause me the most pain?"
    
    "I love him with all my might. I truly believe that we are meant to be together forever, but recently 
    I’ve been wondering…Is love enough?"
    ##------------------------------------------------------------------------------#
    
    scene office with fade
    with Pause(0.4)
    
    "I work at a well-established law firm at the heart of the big apple. The salary is generous and so 
    are the benefits. Sometimes work can help me escape from my thoughts and troubles, but today 
    isn’t one of those days."
    
    "Being a secretary for a well-known lawyer is demanding work that usually leaves me exhausted, 
    but satisfied afterwards. Today I’m just plain old exhausted and the work day is still far from over."
    
    "I tried my best to get my head in the game, but time passes so slowly that I’m easily distracted. 
    Maybe with a little effort I could make it through the day, but I know that my plan failed when 
    my boss arrives at my desk."
    
    show Ch1 at right with dissolve 
    with Pause(0.3)
    
    show Ra1 at left with dissolve
    
    C "Having a rough day?"
    R "You think so?"
    
    "I asked, dodging the question." 
    R "What would make you think that?"
    
    show Ch2 at right with dissolve
    hide Ch1
    
    C "Maybe the fact that three of my phone calls were directed to the wrong office, that 
    you sighed over thirty times in the last three minutes, {i}and{/i} because it’s been ten minutes 
    past my afternoon break and I still haven’t received my coffee."
    
    show Ra3 at left with dissolve
    hide Ra1
    
    R "Oh! I’m so sorry. I’ve been so distracted lately that I’m messing everything up. I’ll make this up 
    to you."
    C "No need to worry. It’s quite alright, but I would like to know what’s been bothering you."
    R "Well…It’s a little personal…"
    C "It’s alright. You can trust me."
   
    "Honestly, it has been a long time since I confided with anyone about my problems. I was grateful 
    for anyone who would listen and I might have fallen for it if I didn’t detect something lurking in his eyes
    besides kindness." 
    
    "This was the thing I hated most about this job. I was constantly in close contact with Chris. He 
    was the one who got me this job when I had to drop out of college to take care of my ailing 
    mother. Back then he was my boyfriend, but now…"
    
    show Ch3 at right with dissolve 
    with Pause(0.5)
    hide Ch2
    
    C "Is it Elliot? Trouble in Paradise?"
    "He’s not even able to keep the slight smirk off his face. I shifted back a little. I was livid."
    
    show Ra4 at left with dissolve
    hide Ra3
    
    R "Thank you, {i}Mr.{/i} Lawrence, but I liked to keep my personal and professional life 
    separate."
    
    C "…"
    
    show Ch1 at right with dissolve 
    hide Ch3
    
    C "Certainly, Ms. Michael. Just as long as you personal problems don’t continue to interfere with your 
    work."
    
    "Guilt stabbed me in the heart. I haven’t exactly been doing my best work lately. If Chris 
    was not my boss I might have been fired already."
    
    show Ra1 at left with dissolve
    hide Ra4 with dissolve
    with Pause(0.3)
      
    C "I expect my coffee to be on my desk in five minutes."
    
    hide Ch1 with dissolve
    with Pause(0.3)
    
    hide Ra1 with dissolve
    with Pause(0.5)
    
    show Ra1 at center with dissolve
    
    "I can’t help, but feel a little guilty for the way I talked to him. Even after I broke it off and went 
    back to Elliot, Chris has been nothing, but cordial towards me. It’s more than I deserve. 
    Maybe I was just being to sensitive and overacted?" 
    
    "Chris had been a very good boyfriend to me. He always treated me like a queen when we were 
    together and I never wanted for anything. But, I was still in love with Elliot and I couldn’t be the 
    woman Chris he deserved."
    
    "When my mother got sick I needed money to take care of her and my sisters. Chris was the one 
    who got me this job with a higher pay than normal plus benefits. It allowed me to keep my family 
    together and see my mother through her health issues and my sisters to college."
    
    "I owe so much to him. I owe my mother’s health and my family’s survival to him, but I repaid him 
    by leaving him for Elliot. By rights, Chris should have been furious or at least fired me, but instead 
    he let me keep my job to continue supporting my family." 
    
    "I owe him more than I could adequately describe, but that still doesn’t make Elliot and my relationship 
    an open discussion."
    
    "Sighing, I cleared the paper work on my desk and went to the break room. I deserved more 
    than his remark about his coffee. Even now, he is still much to nice to me."
    
    "I didn’t deserve it."
    
    with Pause(0.3)
    
### Scene 3 ###
    scene park with fade
    with Pause(0.4)
    
    "It’s the beginning of winter and very cold outside. Snow lingers around smothering streets, 
    pavements, yards, and roofs alike. It is amazing that I was able to find a bench devoid of snow, 
    let alone see others playing around in this frigid weather."
    
    "I see kids and adults having snowball fights while others were figure skating on the ice pond. 
    A few were seated on benches and glancing around as I was. The happiness on their faces was 
    enough to warm my spirit." 
    
    "This park, this quiet…this…cold is perfect for me after a hard day’s work. Especially with the week 
    I have been having."
    
    "The days seem especially long and tedious lately. I don’t know what to do anymore about 
    my situation, but coming to this park often helps me to think."
    
    "It is also the place where Elliot and I first met."
    
    "Our mothers introduced us. They have been best friends since college, but lost touch after graduating. 
    They happened to meet again several years later at this very same park, and ever since then they have 
    been determined to remain close to each other."
    
    "Once they realized that they both had children around the same age, they decided that we would 
    be perfect playmates. It was their fantasy that we would meet, become friends, grow up, 
    eventually fall in love, and get married."
    
    "Boy were they wrong…"
    
    "Almost five minutes after knowing each other, we became enemies."
    
    scene firstmet with fade
    with Pause(0.4)
    
    "I…honestly don’t remember how it started. One minute we were fine. Silent, but fine."
    
    "I guess we both were a little shy at that moment and didn’t know how to react to meeting a stranger. 
    We both were only children and I was known to get quiet around new people." 
    
    "It was uncomfortable at first, but we got over it like kids do. Everything was going as smooth as 
    possible, then the next thing I know, sand was thrown, toys were scattered, and we were 
    suddenly brawling."
    
    "I don’t know who threw the first blow or why, but ever since then we really couldn’t stand each other, 
    despite our mothers best efforts. At the very least, they got us to stop wrestling on the floor like 
    animals, but we did resort to other methods of attack."
    
    "In pre-k, Derek would steal my drawings and crayons, while I threw my dolls at him. He would 
    yank my hair during naptime and I would hide his favorite toys just to get back at him." 
    
    "Recess was a free for all. All matter of the elements were constantly being tossed around, whether 
    it was sand, snow, water, or leaves. It was wartime at recess and our classmates loved every minute 
    of it. For some reason we could not stop fighting no matter what anyone did."
    
    "We were really brats to each other."
    
    "Our parents, who all got along perfectly, told us directly that they were not having the same type of 
    nonsense in middle school. Our mothers had given up on us being best friends, but they at least 
    hoped we would stop being as horrible to each other as we grew up."
    
    "We agreed to a temporary cease-fire. After all, we were a little older and more mature by then…
    and we had devised new methods of torture while still trying to be civil."
    
    "At least in front of our parents."
    
    "Middle school brought about a new change in our relationship that would last forever. It all started 
    over a boy named Shawn."
    
    "Shawn was my first crush. Every time I laid eyes on him, I would turn into a complete mess. 
    Being around him made my heartbeat to fast, my tongue clumsy, and my IQ drop." 
    
    "He was my hopeless crush throughout most of middle school. When the day came that he finally 
    asked me out I was ecstatic, but my joy was short lived."
    
    "We had been dating for maybe a month and a half when I walked in on a conversation Shawn 
    was having with his best friends. He was bragging about how many females he dated and telling 
    his friends that I was just his next conquest." 
    
    "It was only then that I finally realized that he had been playing the part of prince charming 
    for his friends while laughing behind my back."
    
    scene shock with fade
    with Pause(0.4)
    
    "I will never forget that day. My whole body felt numb and my face burned. I had never felt so 
    humiliated in my life. The whole classroom seemed to be in on it." 
    
    "I wanted to move, but my legs were frozen. I wanted to speak, but my throat was parched. 
    Water began to pool around my eyes."
    
    "When Shawn finally noticed me standing there, he didn’t even have the decency to look ashamed. 
    He made several loud remarks mocking my feelings in front of everyone."
    
    "I just stood there like an idiot while several of my classmates laughed and joked around at my expense."
    
    "It was as if my heart had been ripped out of my chest, tossed on the ground, and then ran over by 
    a steamroller. I was devastated." 
    
    "Just when the first tears was about to burst, Elliot arose from his seat and socked Shawn right in 
    the mouth. He went tumbling to the floor. All we could see was flailing legs and raised fists. 
    The classroom buzzed with action. Wild calls and cheers erupted everywhere."
    
    "Elliot, the youngest out of four older, rowdy boys, pulverized Shawn, who was a lightweight and no 
    real competition. The fight was legendary and it followed Elliot to high school and even to college." 
    
    "He from then on got a reputation of being a hot-hot, which he actually wasn’t, but he let the 
    rumors lie in his favor. None of the kids at school was brave enough to tell the principal what 
    really happened, so they all kept their mouth shut." 
    
    "Elliot received a seven-day suspension and was lucky not to be expelled." 
    
    "But before Elliot could be hauled off to the principal’s office he suddenly grabbed my hand and 
    squeezed it tightly. He didn’t let go."
    
    scene hand with fade
    with Pause(0.4)
    
    E "Anyone who wants to pick on her will have to go through me. Only I’m allowed to mess with her, 
    understand?"
    
    "No one said a word."
    
    "I remember, even after all these years, how hot and sweaty my hands felt. I could practically hear 
    my heart trying to burst out of my chest, and embarrassingly I believe that Elliot could probably 
    hear it too."
#------------------------------------------------------#
    "After that, school returned to some resemblance of peace. No one mentioned the incident around 
    me and especially not around Elliot when he returned to school. Shawn made sure to scurry 
    around the corner whenever he saw Elliot or me walking by. All was right in the world."
    
    "After the incident, which our moms enjoyed being the hopeless romantics that they were, 
    Elliot started to act differently around me." 
    
    "I don’t know if maybe he was still stunned by his actions or what, but he no longer played 
    pranks on me or taunted me like before. Oh, he would still tease me every once in awhile, but 
    it was more like how one friend would tease another."
    
    "My appreciation of Elliot soared through the sky and while I wouldn’t call him my best friend, 
    he was a good partner in crime. We began to tease others and became more of a unit than 
    warring rivals." 
    
    "The change was sudden, but not awkward. It was surprising how easily we began to socialize 
    with each other. Some of our classmates were stunned, but shrugged it off."
    
    "By then, I had something in Elliot I never had before. A real relationship. Our fighting almost 
    completely ceased to exist. We were fine around each other and our parents could be happier 
    with the change in our relationship."
    
    "Occasionally, Elliot would stop what he was doing to just look at me with a confused expression 
    on his face when he thought I wouldn’t notice. It was around this time that he started to fall in 
    love with me, but I wouldn’t know that until many years later."
    
    scene park with fade
    with Pause(0.2)
    
    "It wasn’t until High school that we finally started dated. I had dated a few boys after Shawn, 
    but none of them compared to Elliot. Once we started dating, he showed me a completely new 
    side of him that only I was privileged to." 
    
    "He became my best friend and my sweetheart. We were practically glued at the hip. It never fails to 
    amaze me that even though we started out on the wrong foot, we were still able to fall deeply in 
    love with each other." 
    
    "In college, we had a major break up that took months of separation to fix, but I still knew that there 
    was no one else I wanted to be with more than Elliot." 
    
    "I just wish things were the same now as it was back then. I wish that occasionally I could go 
    back to the time where everything seemed to be perfect."
    
### Scene 4 ###
    scene home with fade
    with Pause(0.5)
    
    "Christmas past and I ended up spending it with my family and friends. It was nice to see them and 
    spend quality time together, but my heart still ached with longing for Elliot."
    
    "I spent New Year’s Eve alone this year."
    
    "Usually on this day, Elliot and me would spend it together and make new vows to each other 
    every New Year. Last year we promised to always love and respect each other." 
    
    "The year before that we promised to laugh and to comfort each other whenever humanly possible, 
    but this year…there was nothing. Elliot was simply to busy."
    
    "Elliot is a late night radio host. He usually works evenings and over-night shifts. For the past two years, 
    he has been getting pretty popular. Now he’s on a six month tour to help promote his radio station 
    and build up his fan base."
    
    "It was the longest time we have ever been apart and I, for one, was not enjoying it. Neither was Elliot, 
    but because his company really needed the exposure and publicity, he reluctantly agreed."
    
    "He’s already been gone for last three months. He’s not due back until late March at the earliest. 
    He missed Christmas, New Years, and now he would miss Valentine’s Day. I cannot even describe the 
    ache I feel with him so far away from me." 
    
    "Every day seems dull and pointless without him. I have no idea how I’m going to last the next 
    three months without him."
    
    "I have a brand new appreciation for people who successfully have long distance relationships. 
    I don’t know how they do it. I have been near or around Elliot nearly every day since we met." 
    
    "Even when we were squabbling as children, he was always nearby. It’s was annoying when 
    I was younger, but now he is a very important part of my life. I’d do anything just to get him back."
    
    with Pause(0.6)
    
### Scene 5 ###
    scene park with fade
    
    "The days and nights are passing by so slowly that I barely can tell one day from another anymore."
    
    "I work to keep my mind off Elliot, but the meaningless tasks only help for a short time. I try to 
    occupy myself and keep my spirit up, but the closer it gets to February the more I realize 
    I’ll be spending another holiday without Elliot."
    
    "Chris has kept his distance from me and for that, I’m grateful. I can’t help, but feel a little wary 
    of him whenever I was at work. I now just wanted to able to clock in, clock out, and return to 
    the comfort of my home."
    
    "February slowly creeps forward and I’m so frustrated and exhausted that I can hardly think 
    straight. My work has been terrible lately due to my inability to concentrate. Though Chris tries 
    to overlook it, I know that I’ve been doing a horrible job."
    
    "He was well within his rights to fire me. I’m just dreading the day it will finally happen."
    
    "Sigh…."
    "This was no good."
    "I’m hopeless without Elliot."
    
    with Pause(0.7)
    
### Scene 6 ###
    scene office with fade
    
    "Today was another long and depressing morning. I don’t know how I’m going to make it through 
    the day. I can’t concentrate at all and it showing."
    
    "I hate being this needy, this desperate, and this lonely. I don’t want act like one of those 
    lovesick high school girls, but I feel like a piece of my soul was gone."
    
    "I want to see Elliot. I want to see him smile, hear his laugh, and smell his cologne. I want to hold 
    his hand while we’re walking down the street after a terrific date. I want to argue over movies 
    while throwing popcorn at each other." 
    
    "I want to have picnics in the park and I want to go out to dinner together. I want to dance at 
    parties with him, and then snuggle in his warm arms at night when I fall asleep."
    
    "I want him and I want him now, and there is nothing I can do about. I hate this!"
    
    "It’s so frustrating, so aggravating, so…so…"
    
    "Before I knew it…I was crying. Right at my desk like the baby. This is so humiliating."
    
    show Ra8 at left with dissolve
    with Pause(0.8)
    
    show Ch1 at right with dissolve
    
    C "Rakiyah, what’s the matter?"
    
    "This is so embarrassing. I really didn’t need this. It’s bad enough that I’m crying at work, but to 
    cry in front of Chris is even worse. I try to speak and tell him I’m okay, but the words won’t form. 
    I’m truly pathetic right now."
    
    C "Please don’t cry."
    
    show Ch4 at right with dissolve
    hide Ch1
    
    "I try to calm down and settle myself, but it’s as if a dam has finally been released. I cry for a 
    few more minutes despite my best efforts. Afterward I feel like a helpless infant and Chris is looking 
    at me in a way that puts my fragile defenses on guard."
    
    C "I think that it’s time that you leave Elliot and come back to me. I mean, is he honestly making 
    you happy? All I see is him do is making you miserable. Don’t you see that?"
    
    R "Chris! How can you say that?"
    
    C "Can you seriously see yourself with a man who disappears for half a year and barely has time 
    to call?"
    
    R "He calls when he can! He just works late nights. By the time he gets off I’m asleep and by 
    the time I get off he’s starting work! He can’t help that he’s busy."
    
    "I protested, feeling the divine need to defend him against all accusations"
    
    show Ch1 at right with dissolve
    hide Ch4
    
    C "Oh and that makes it okay? I would call you everyday if I had to, and I certainly wouldn’t 
    leave you for months at a time like he does."
    
    R "…"
    
    "I honestly don’t know what to say right now. Is this really happening or am I dreaming?"
    
    C "Break up with him and marry me, Rakiyah. I’ll give you the home that you want and we can 
    have as many kids as you want."
    
    C "You’ll never have to go home alone and cry like you do with Elliot. You’ll never be lonely and 
    sad again! Say you’ll marry me Rakiyah and I’ll give you everything you’ve ever dreamed."
    
    "I did want to be married and have kids. It was no secret to Chris or Elliot. The picture that Chris 
    was painting sounded perfect, but...a life without Elliot, even a perfect one, wasn’t really a life at all."
    
    "Even this misery and loneliness is more than the nothingness of being without Elliot. I tried being 
    without him once before. I just didn’t work. It wasn’t right. He wasn’t Elliot. And Elliot is really 
    all I needed to be happy."
    
    "I looked at Chris with new eyes. Then I shook my head and smiled."
    
    show Ra9 at left with dissolve
    hide Ra8
    
    with Pause(0.6)
    
    R "Chris, I can’t."
    
    with Pause(0.3)
    
    show Ch5 at right with dissolve 
    with Pause(0.3)
    
    C "But why? All he does is make you miserable and lonely. How can he possibly be the man for you?"
    
    "Oh, my goodness…How can I explain it to him? How can I tell him that back when we hated each 
    other and even now when the thought of Elliot can literally bring me to tears, I still would rather 
    have all those memories with him than have happy ones without him."
    
    "We may have started as enemies, but we became friends and eventually lovers. I couldn’t separate 
    myself from him now even if I wanted to. He had my heart. I cannot get it back, and even if I could, 
    I wouldn’t want to."
    
    "Even now, I would rather stay in this personal hell of mine than feel the true hell of not 
    having Elliot at all."
    
    "In that moment, I knew. I knew that I would always wait patiently for Elliot to return no matter 
    how long he took. He’s my love and he’s worth it."
    
    "I could tell him all these things, but I’m not sure if he could truly understand. Chris had never 
    loved someone as I love Elliot. Even when we were dating, Chris always had stars in his eyes. He always 
    thought I was perfect, that we were perfect." 
    
    "He never saw my flaws and in a way, he could never truly love me or know me because of it."
    
    "Elliot knows all of my flaws and I know all of his. He’s seen me when I was happy and he’s seen 
    me when I was sad. He’s been with me when I was right or wrong. When I was a pleasure to be 
    around or a hard pill to swallow, he was there." 
    
    "He’s stayed and loved me through it all."
    
    "That’s true love."
    
    "The ability to see the persons positives and negatives and then deciding to love that person anyway. 
    Chris sees what he wants to see and decides to ignore all the rest, but Elliot sees the true heart of me."
    
    "And that’s the reason I can’t let him go."
    
    "I wipe the tears from my eyes and decide that it’s time to get myself together. Both for my sake 
    and for Chris. We’ve both been bound in away. He is bound to me because of his fantasies of 
    me being his perfect woman and I was bound to him because of my guilt." 
    
    "It’s time for both of us to be free."
    
    R "Chris, I quit. I can’t continue working for you if you still have feelings for me. I can’t keep you 
    thinking that there’s more between us than there is. I just can’t."
    
    C "Your choosing him over me and this job? Where will you get another job that will pay you this 
    well? Why are you willing to go so far for him?"
    
    R "I don’t know where my next job will come from, and it honestly doesn’t matter. I’ve been 
    taking advantage of your feelings for too long. Guilt has been the reason I stayed here even 
    though I felt it was best if I left years ago." 
    
    R "Now, I’m letting it go so that I can forgive myself and so you can move on."
    
    R "You’re a good man Chris. You need to find someone who completes you like Elliot completes me. 
    I feel this miserable right not because he mistreats me, but because I love him and miss him. 
    I wouldn’t leave him for anything in the world right now. I need him."
    
    R "I hope one day you can forgive me for not being as good to you as I should have. I’m sorry 
    that I took advantage of your kindness. I hope for the best for you."
    
    R "And as for Elliot…don’t worry about him. He’s my angel and no one else can mess with him, 
    but me."
    
    "And suddenly I giggled feeling little light and free. I didn’t need the stress of a guilty 
    conscious toward Chris anymore and he didn’t need a constant reminder of what use to be."
    
    "I was going to be stronger for Elliot. Because if what we had was really true love than we could 
    endure these absences and bits of loneliness."
    
    "After all, what were a few months within a lifetime together?"
    with Pause(0.5)
    
### Scene 7 ###
    scene home with fade
    with Pause(0.6)
    
    "The day I quit working for Chris happened to be the best event to return me to my former self. 
    In one moment, I was free of guilt and anxiety and my love for Elliot seemed stronger than ever."
    
    "Now, I felt energized for the first time in months."
    
    "I took a couple of weeks after quitting to get myself together. I had been feeling really depressed 
    since Elliot left, so I used those days to gather my strength. While I was still not as strong as I 
    would have liked, I’m at least closer to my usual self."
    
    "I also decided to do freelance photography like I did in college. I’m glad to say that my passion 
    for it has not waned, even if my skills have somewhat dulled." 
    
    "Getting back into my hobby really helped spark life back into my days. I was excited to start 
    building my clientele."
    
    "Instead of being sad about being away from Elliot, I decided to be thankful that I had such 
    wonderful memories to dwell one." 
    
    "So what if he missed a few holidays? We’ve had more than our fair share of holidays together, 
    chances were that we would miss a few together eventually."
    
    "Today was Valentine’s Day and before I knew it, I was cleaning my small apartment, making a 
    luxurious meal, and setting the table. I almost bopped myself on the head when I realized 
    that Elliot would not be here today like usual."
    
    "Still, I continued cooking the elaborate meal that I had planned a year ago while humming a little. 
    Even if Elliot couldn’t be here, I could at least invite my mother over for a Valentine’s Day meal." 
    
    "I’m still sad to not spend this day with Elliot, but life does go on, even if half of my heart 
    happens to be several states away."
    
    "I had just finished lighting the candles when the doorbell rang."
    
    R "Hmm? Is Mom’s here? She did mention that she might come over. I guess I don’t have to call 
    her over after all."
    
    "I straightened up a bit and fussed over my hair before walking to the door. It just wouldn’t do 
    for mom to see me looking to homey for Valentine’s Day. I smiled and swung the door opened.
    My jaw dropped."
    
    show Ra3 at left with dissolve 
    with Pause(0.5)
    
    show El2 at right with dissolve
    
    E "Hi, gorgeous." 
    
    with Pause(0.5)
    
    R "Elliot! Wha-what are you doing here?"
    
    show El1 at right with dissolve
    
    E "Well, I decided that I missed one to many holidays and I just couldn’t leave my princess alone for 
    Valentine’s Day."
    
    show Ra9 at left with dissolve
    
    "It was just like Elliot to make me feel special with just one sentence. I was so grateful and 
    appreciative to see him that it took all my strength not to cry."
    
    "But Elliot knew me through thick and thin and good times and bad times. He understood. He 
    understood perfectly."
    
    E "Happy Valentine’s Day, Princess."
    
    R "Oh, Elliot…"
    
    R "Finally, my angel was home."
    with Pause(0.7)
    
    scene happy with fade
    with Pause(4.0)
    
    scene thanks
    with Pause(4.0)
    
    scene special with fade
    with Pause(4.5)
    
    return
